From 61677aa8135912377e03bd35e69bf4f267692363 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:11 +0000
Subject: [PATCH 395/2232] Fix push_back extern decl to match the C++ signature


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index b2278e0..8ec1107 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -676,7 +676,7 @@ fn expand_vector(namespace: &Namespace, ty: &Type) -> TokenStream {
                 unsafe {
                     extern "C" {
                         #[link_name = #link_push_back]
-                        fn __push_back(_: &::cxx::CxxVector<#inner>, _: &#inner) -> usize;
+                        fn __push_back(_: &::cxx::CxxVector<#inner>, _: &#inner);
                     }
                     __push_back(v, item);
                 }
@@ -717,7 +717,7 @@ pub fn impl_vector_element_for_primitive(ident: Ident) -> TokenStream {
                 unsafe {
                     extern "C" {
                         #[link_name = #link_push_back]
-                        fn __push_back(_: &CxxVector<#inner>, _: &#inner) -> usize;
+                        fn __push_back(_: &CxxVector<#inner>, _: &#inner);
                     }
                     __push_back(v, item);
                 }

